package ru.vyatsu.qr_access_api.slots.controller

import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.PathVariable
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController
import ru.vyatsu.qr_access_api.slots.response.SlotResponse
import ru.vyatsu.qr_access_api.slots.service.SlotService

@RestController
@RequestMapping("public")
class PublicSlotsController(val service: SlotService) {

    @GetMapping("/slots/{partnerId}")
    fun getSlots(@PathVariable partnerId: String): SlotResponse {
        return service.getAllSlotsByPartner(partnerId)
    }
}